/************************************************************************
* COS265 Data Structures & Algorithms                                   *
* Project 4 - Pathfinding                                               *
* by Chad Jordan 11/05/07                                               *
*                                                                       *
* Java implementation to conveniently pass 2D coordinate (longitude +   *
* latitude, i + j, etc.) The constructor takes the two integers 'i'     *
* and 'j' representing the longitude (x value) and latitude (y value)   *
* respectively.                                                         *
* Dependencies: none                                                    *
************************************************************************/

public class Coord {

    private final int i; // Longitude or x value
    private final int j; // Latitude or y value

    public Coord(int i, int j) {
        this.i = i;
        this.j = j;
    }

    public int getI() {
        return i;
    }

    public int getJ() {
        return j;
    }

    public boolean isInBounds(int minI, int maxI, int minJ, int maxJ) {
        return i >= minI && i <= maxI && j >= minJ && j <= maxJ;
    }

    @Override
    public String toString() {
        return "(" + i + ", " + j + ")";
    }

    public static void main(String[] args) {
        // Example usage of Coord class
        Coord coord = new Coord(3, 5);
        System.out.println("Coordinates: " + coord);
        System.out.println("Is in bounds (0, 0, 5, 5): " + coord.isInBounds(0, 5, 0, 5));
        System.out.println("Is in bounds (0, 0, 2, 3): " + coord.isInBounds(0, 2, 0, 3));
    }
}